- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
tbb::interface6::aggregator_operation Class Reference
Inheritance diagram for tbb::interface6::aggregator_operation:

## Public Types
enum | aggregator_operation_status { agg_waiting =0, agg_finished }

## Public Member Functions
void | start ()
| Call start before handling this operation.
void | finish ()
| Call finish when done handling this operation. More...
aggregator_operation * | next ()
void | set_next (aggregator_operation *n)

## Friends
template<typename handler_type >
class | aggregator_ext

## Member Function Documentation

void tbb::interface6::aggregator_operation::finish | ( | ) |  |
| inline

Call finish when done handling this operation.

The operation will be released to its originating thread, and possibly deleted.

The documentation for this class was generated from the following file:

- aggregator.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.